[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResource.Create

Creates a new resource

## Declaration

Source position: resource.pp line 158

`protected constructor TAbstractResource.Create; virtual; overload; constructor TAbstractResource.Create(`
`aType: TResourceDesc;`
`aName: TResourceDesc`
`); virtual; abstract; overload;`

## Arguments

`aType` |  | The type of the resource to be created
`aName` |  | The name of the resource to be created

## Description

A new resource is created with the given type and name.

Remark: | Please note that the resource doesn't take ownership of the TResourceDesc objects passed as parameters, it simply copies them: it's user responsibility to free them when no longer needed.